> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Trace Log

> Update fields of a trace log.



## OpenAPI

````yaml put /api/parea/v1/trace_log
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/parea/v1/trace_log:
    put:
      summary: Update Trace Log
      description: Update fields of a trace log.
      operationId: update_trace_log_api_parea_v1_trace_log_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateLogSchema'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyHeader: []
        - APIKeyHeader: []
components:
  schemas:
    UpdateLogSchema:
      properties:
        trace_id:
          type: string
          title: Trace Id
          description: UUID of the trace log which should be updated
        field_name_to_value_map:
          type: object
          title: Field Name To Value Map
          description: >-
            Key-value pairs how each given field (`key`) of the trace log should
            be updated with `value`. For field names, see `TraceLogSchema`.
        root_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Root Trace Id
          description: UUID of root trace
      type: object
      required:
        - trace_id
        - field_name_to_value_map
      title: UpdateLogSchema
      examples:
        - field_name_to_value_map:
            error: Some error message
            status: error
          trace_id: sasdc-csd-rnFesaeCpqcXJ_yL3wi
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-user-id

````